# module Gem::SafeYAML

This module is used for safely loading YAML specs from a gem. The `safe_load` method defined on this module is specifically designed for loading Gem specifications. For loading other YAML safely, please see `Psych.safe_load`

### Constants

WHITELISTED_CLASSES
WHITELISTED_SYMBOLS

### Public Class Methods

load(input) click to toggle source

    # File lib/rubygems/safe_yaml.rb, line 34
    def self.load input
      ::YAML.safe_load(input, [::Symbol])
    end

safe_load(input) click to toggle source

    # File lib/rubygems/safe_yaml.rb, line 30
    def self.safe_load input
      ::YAML.safe_load(input, WHITELISTED_CLASSES, WHITELISTED_SYMBOLS, true)
    end